$(document).ready(function(){


            // In your Javascript (external .js resource or <script> tag)
            $('.actionbutton-add').on('click',function(e)
            {
                e.preventDefault();
                var urldir=$(this).attr('data-href');
               
                //var oSel2 = $('#itemid-sel').select2('data');
                //var oText = oSel2[0].text;
                //$("#itemid").val(oText.substr(0,16) );

                 var oData = $("#oFrmAdd").serialize();
                 var oData = oData + "&c=" + urldir;


             
                $.ajax({
                                url:"index.php",
                                type: 'POST',
                                data: oData,
                                success:function(data)
                                {
                                    
                                    var sRes = data.substr(0,2);
                                    if(sRes =="ER") 
                                            {
                                                $('#lp-alert').html(data);                 
                                            }
                                    else
                                    {
                                        
                                        $('#result').html(data);  

                                    }
                                },
                                beforeSend: function() 
                                {
                                     
                                      $('#lp-alert').html('<div class="loading"><img src="assets/img/loader.gif"/><br/>Un momento, por favor...se esta procesando su solicitud</div>');
                                },
                                complete: function()
                                {
                                     $('#lp-alert').html("");   
                                }
                           
                    });
                    return false;

            });


 
            $('.actionbutton-ticket').on('click',function(e)
            {
                e.preventDefault();
                var urldir=$(this).attr('data-href');
               
              
             
                 var oData = "&c=" + urldir;


             
                $.ajax({
                                url:"index.php",
                                type: 'POST',
                                data: oData,
                                success:function(data)
                                {
                                    
                                    if (result.url) {
                                        //console.log( result.message + ' - ' + result.url );
                                        window.open(result.url, "_blank");
                                        //submitButton.text( 'Redirecting...' );
                                        //goForm.replaceWith( '<button class="btn btn-default" onclick="javascript: return false;">Redirecting...</button>' );
                                    } else {
                                        alert(result.message);
                                    }

                                    /*
                                    var sRes = data.substr(0,2);
                                    if(sRes =="ER") 
                                            {
                                                $('#lp-alert').html(data);                 
                                            }
                                    else
                                    {
                                        
                                        $('#result').html(data);  

                                    }
                                        */
                                },
                                beforeSend: function() 
                                {
                                     
                                      $('#lp-alert').html('<div class="loading"><img src="assets/img/loader.gif"/><br/>Un momento, por favor...se esta procesando su solicitud</div>');
                                },
                                complete: function()
                                {
                                     $('#lp-alert').html("");   
                                }
                           
                    });
                    return false;

            });





        $('.actionbutton-newdoc').on('click',function(e)
            {
                e.preventDefault();
                var urldir=$(this).attr('data-href');
                var oData = $("#oFrmAdd").serialize();
            
              
                var oData = oData + "&c=" + urldir;

                         
                $.ajax({
                                url:"index.php",
                                type: 'POST',
                                data: oData,
                                success:function(data)
                                {
                                    
                                    var sRes = data.substr(0,2);
                                    if(sRes =="ER") 
                                            {
                                                $('#lp-alert').html(data);                 
                                            }
                                    else
                                    {
                                        
                                         $('#main-desktop').html(data);    

                                    }
                                },
                                beforeSend: function() 
                                {
                                     
                                      $('#lp-alert').html('<div class="loading"><img src="assets/img/loader.gif"/><br/>Un momento, por favor...se esta procesando su solicitud</div>');
                                },
                                done: function()
                                {
                                     $('#lp-alert').html("");   
                                }
                           
                    });
                    return false;

            });









            $('.actionbutton-alter').on('click',function(e)
            {
                e.preventDefault();
                var urldir=$(this).attr('data-href');
                var id = this.id;
        
               
                var oData = {"c":urldir,"id":id};

                        
                $('#lp-alert').html('<div class="loading"><img src="assets/img/loader.gif"/><br/>Un momento, por favor...se esta procesando su solicitud</div>');

                $.ajax({
                                url:"index.php",
                                type: 'POST',
                                data: oData,
                                success:function(data)
                                {
                                    
                                    var sRes = data.substr(0,2);
                                    if(sRes =="ER") 
                                            {
                                                $('#lp-alert').html(data);                 
                                            }
                                    else
                                    {
                                        
                                        $('#main-desktop').html(data);                 
                                    }
                            

                                    
                                }
                    });
                    return false;

            });

    $('.actionbutton-save').on('click',function(e)
            {
                e.preventDefault();

                var oData = $("#oForm").serialize();
                var urldir=$(this).attr('data-href');
              
                oData = oData + "&c=" + urldir;

                               
                $('#lp-alert').html('<div class="loading"><img src="assets/img/loader.gif"/><br/>Un momento, por favor...se esta procesando su solicitud</div>');

                $.ajax({
                                url:"index.php",
                                type: 'POST',
                                data: oData,
                                success:function(data)
                                {
                                 
                                                                       
                                    var sRes = data.substr(0,2);
                                    if(sRes =="ER") 
                                            {
                                                $('#lp-alert').html(data);                 
                                            }
                                    else
                                    {
                                         

                                         if( urldir.indexOf("articulos") >=0 || urldir.indexOf("Articulos") >=0)
                                         {
                                           
                                             oData = "&c=articulos";
                                         }
                                         else
                                         {
                                            if( urldir.indexOf("clientes") >=0 || urldir.indexOf("Clientes") >=0)
                                            {
                                            
                                                oData = "&c=clientes";
                                            }
                                            else
                                            {
                                                if( urldir.indexOf("facturacion") >=0 || urldir.indexOf("facturacion") >=0)
                                                    {
                                                    
                                                        oData = "&c=facturacion";
                                                    }
                                                    

                                            }
                                            
                                        
                                        
                                        }
                                    
                                             $.ajax({
                                                url:"index.php",
                                                type: 'POST',
                                                data: oData,
                                                success:function(data)
                                                {
                                                       $('#main-desktop').html(data);                 
                                                  
                                                }
                                                });
                                                return false;
                                              
                                    }
                            

                                    
                                }
                    });
                    return false;

            });


            $('.actionbutton-saveot').on('click',function(e)
            {
                e.preventDefault();

                var oData1 = $("#oFrmOT").serialize();
                var oData2 = $("#oFrmAdd").serialize();
                var oData = oData1 + "&" + oData2;
                var urldir=$(this).attr('data-href');
              
                oData = oData + "&c=" + urldir;
                               
                $('#lp-alert').html('<div class="loading"><img src="assets/img/loader.gif"/><br/>Un momento, por favor...se esta procesando su solicitud</div>');

                $.ajax({
                                url:"index.php",
                                type: 'POST',
                                data: oData,
                                success:function(data)
                                {
                                 
                                                                       
                                    var sRes = data.substr(0,2);
                                    if(sRes =="ER") 
                                            {
                                                $('#lp-alert').html(data);                 
                                            }
                                    else
                                    {
                                         

                                         if( urldir.indexOf("articulos") >=0 || urldir.indexOf("Articulos") >=0)
                                         {
                                           
                                             oData = "&c=articulos";
                                         }
                                         else
                                         {
                                            if( urldir.indexOf("clientes") >=0 || urldir.indexOf("Clientes") >=0)
                                            {
                                            
                                                oData = "&c=clientes";
                                            }
                                            else
                                            {
                                                if( urldir.indexOf("facturacion") >=0 || urldir.indexOf("facturacion") >=0)
                                                    {
                                                    
                                                        oData = "&c=facturacion";
                                                    }
                                                    

                                            }
                                            
                                        
                                        
                                        }
                                    
                                             $.ajax({
                                                url:"index.php",
                                                type: 'POST',
                                                data: oData,
                                                success:function(data)
                                                {
                                                       $('#main-desktop').html(data);                 
                                                  
                                                }
                                                });
                                                return false;
                                              
                                    }
                            

                                    
                                }
                    });
                    return false;

            });



     $('.actionbutton-trash').on('click',function(e)
            {
                e.preventDefault();
                var urldir=$(this).attr('data-href');
                var id = this.id;
        
               
                var oData = {"c":urldir,"id":id};

                var ob = $(this).parents('tr').find('td');
              
                            
                
                var curName = ob.eq(3).text();
                var nIdx = ob.eq(0).text();
                            
           
                     
                    swal({
                    title: "Segur@ de eliminar registro actual",   
                    text: curName,   
                    type: "question",   
                    showCancelButton: true,     
                    confirmButtonText: "Aceptar",
                    cancelButtonText: "Cancelar"
                    }).then(function () 
                    {
                        
                            $('#lp-alert').html('<div class="loading"><img src="assets/img/loader.gif"/><br/>Un momento, por favor...se esta procesando su solicitud</div>');

                            $.ajax({
                                url:"index.php",
                                type: 'POST',
                                data: oData,
                                success:function(data)
                                {
                                    
                                    var sRes = data.substr(0,2);
                                    if(sRes =="ER") 
                                            {
                                                $('#lp-alert').html(data);                 
                                            }
                                    else
                                    {
                                        $('#lp-alert').html('');
                                         ob.eq(1).text("----");
                                         ob.eq(2).text("----");
                                         ob.eq(10).text("----");
                                         ob.eq(11).text("----");
              
                                    
                                     
                                        
                                                   
                                    }
                            

                                    
                                }
                            });
                            return false;
                            


                    });

            });


         $('.actionbutton-link').on('click',function(e)
            {
                e.preventDefault();
                var urldir=$(this).attr('data-href');
                           
                var oData = {"c":urldir};

                        
                $('#lp-alert').html('<div class="loading"><img src="assets/img/loader.gif"/><br/>Un momento, por favor...se esta procesando su solicitud</div>');

                $.ajax({
                         url:"index.php",
                         type: 'POST',
                         data: oData,
                         success:function(data)
                         {
                               var sRes = data.substr(0,2);
                                    if(sRes =="ER") 
                                            {
                                                $('#lp-alert').html(data);                 
                                            }
                                    else
                                    {
                                        
                                        $('#main-desktop').html(data);                 
                                    }
                         }
                        });
                        return false;
                            


            });


    $('.aui-kit-actionbutton').on('click',function(e)
    {
        e.preventDefault();

        $('#lp-alert').html('<div class="loading"><img src="assets/img/loader.gif"/><br/>Un momento, por favor...se esta procesando su solicitud</div>');


        var urldir=$(this).attr('data-href');
   
        var oData = {"c":urldir};

        $.ajax({
            url:"index.php",
            type: 'POST',
            data: oData,
            success:function(data)
            {
                $('#main-desktop').html(data);
            }
        });
        return false;
        

    });

    $('.mobile-menu-button').on('click', function(e){
        e.preventDefault();
        var mobileMenu=$('.navbar-lateral');	
        if(mobileMenu.css('display')=='none'){
            mobileMenu.fadeIn(300);
        }else{
            mobileMenu.fadeOut(300);
        }
    });

    $('.desktop-menu-button').on('click', function(e){
        e.preventDefault();
        var NavLateral=$('.navbar-lateral'); 
        var ContentPage=$('.content-page-container');   
        if(NavLateral.hasClass('desktopMenu')){
            NavLateral.removeClass('desktopMenu');
            ContentPage.removeClass('desktopMenu');
        }else{
            NavLateral.addClass('desktopMenu');
            ContentPage.addClass('desktopMenu');
        }
    });
    
    $('.dropdown-menu-button').on('click', function(e){
        e.preventDefault();
        var icon=$(this).children('.icon-sub-menu');
        if(icon.hasClass('zmdi-chevron-down')){
            icon.removeClass('zmdi-chevron-down').addClass('zmdi-chevron-up');
            $(this).addClass('dropdown-menu-button-active');
        }else{
            icon.removeClass('zmdi-chevron-up').addClass('zmdi-chevron-down');
            $(this).removeClass('dropdown-menu-button-active');
        }
        
        var dropMenu=$(this).next('ul');
        dropMenu.slideToggle('slow');
    });

    $('.tile').on('click', function(e)
    {
        e.preventDefault();
        var urldir=$(this).attr('data-href');
   
            
        var oData = {"c":urldir};

        $('#lp-alert').html('<img src="assets/img/loader.gif"/><br/>Un momento, por favor...se esta procesando su solicitud');
        
        $.ajax({
                url:"index.php",
                type: 'POST',
                data: oData,
                success:function(data)
                {
                    $('#main-desktop').html(data);
                }
            });
            return false;
        

    });

    $('.btn-nav-user-action').on('click', function(e){
        e.preventDefault();
        var urldir=$(this).attr('data-href');

        window.location=urldir;
    });


    $('.btn-go-back').on('click', function(e){
		e.preventDefault();
		window.history.back();
	});


    	$(document).ready(function(){
		$('.btn-exit-system').on('click', function(e){
			e.preventDefault();
			var Token=$(this).attr('data-code');
			swal({
			  	title: '¿Estás seguro?',
			  	text: "La sesión actual se cerrará y deberás iniciar sesión nuevamente para acceder al sistema",
			  	type: 'question',
			  	showCancelButton: true,
			  	confirmButtonColor: '#03A9F4',
			  	cancelButtonColor: '#F44336',
			  	confirmButtonText: '<i class="zmdi zmdi-run"></i> Si, cerrar',
			  	cancelButtonText: '<i class="zmdi zmdi-close-circle"></i> No, cancelar'
			}).then(function () 
            {
		
                 window.location="index.php?c=logout";
			});
		});
	});




});